---
title: pve_sd
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.pve_sd) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.pve_sd?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.pve_sd) [![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.pve_sd/src/branch/main/LICENSE)

Setup Proxmox VE service discovery for Prometheus.

<!--more-->

- [Default Variables](#default-variables)
  - [pve_sd_exclude_state](#pve_sd_exclude_state)
  - [pve_sd_exclude_vmid](#pve_sd_exclude_vmid)
  - [pve_sd_extra_groups](#pve_sd_extra_groups)
  - [pve_sd_group](#pve_sd_group)
  - [pve_sd_interval](#pve_sd_interval)
  - [pve_sd_log_format](#pve_sd_log_format)
  - [pve_sd_log_level](#pve_sd_log_level)
  - [pve_sd_output_file](#pve_sd_output_file)
  - [pve_sd_packages_extra](#pve_sd_packages_extra)
  - [pve_sd_pve_password](#pve_sd_pve_password)
  - [pve_sd_pve_server](#pve_sd_pve_server)
  - [pve_sd_pve_user](#pve_sd_pve_user)
  - [pve_sd_service](#pve_sd_service)
  - [pve_sd_service_stopped](#pve_sd_service_stopped)
  - [pve_sd_user](#pve_sd_user)
  - [pve_sd_user_comment](#pve_sd_user_comment)
  - [pve_sd_version](#pve_sd_version)
  - [pve_sd_virtualenv](#pve_sd_virtualenv)
  - [pve_sd_virtualenv_command](#pve_sd_virtualenv_command)
  - [pve_sd_virtualenv_umask](#pve_sd_virtualenv_umask)
- [Dependencies](#dependencies)

---

## Default Variables

### pve_sd_exclude_state

#### Default value

```YAML
pve_sd_exclude_state: []
```

### pve_sd_exclude_vmid

#### Default value

```YAML
pve_sd_exclude_vmid: []
```

### pve_sd_extra_groups

#### Default value

```YAML
pve_sd_extra_groups: []
```

### pve_sd_group

#### Default value

```YAML
pve_sd_group: '{{ pve_sd_user }}'
```

### pve_sd_interval

Interval for the systemd timer.

#### Default value

```YAML
pve_sd_interval: '*:0/15'
```

### pve_sd_log_format

#### Default value

```YAML
pve_sd_log_format: console
```

### pve_sd_log_level

#### Default value

```YAML
pve_sd_log_level: info
```

### pve_sd_output_file

#### Default value

```YAML
pve_sd_output_file: /out/pve.json
```

### pve_sd_packages_extra

Extra packages to install with pip (e.g. DNS plugins).

#### Default value

```YAML
pve_sd_packages_extra: []
```

### pve_sd_pve_password

#### Default value

```YAML
pve_sd_pve_password: secure
```

### pve_sd_pve_server

#### Default value

```YAML
pve_sd_pve_server: pve.example.com
```

### pve_sd_pve_user

#### Default value

```YAML
pve_sd_pve_user: root
```

### pve_sd_service

#### Default value

```YAML
pve_sd_service: false
```

### pve_sd_service_stopped

#### Default value

```YAML
pve_sd_service_stopped: false
```

### pve_sd_user

#### Default value

```YAML
pve_sd_user: prometheus_adm
```

### pve_sd_user_comment

#### Default value

```YAML
pve_sd_user_comment: PVE SD
```

### pve_sd_version

Set a fix version of the PVE SD package to install.

#### Default value

```YAML
pve_sd_version: _unset_
```

### pve_sd_virtualenv

#### Default value

```YAML
pve_sd_virtualenv: /opt/python3/pve_sd
```

### pve_sd_virtualenv_command

#### Default value

```YAML
pve_sd_virtualenv_command: /usr/bin/python3 -m venv
```

### pve_sd_virtualenv_umask

Set a custom umask and ignore the system default settings.

#### Default value

```YAML
pve_sd_virtualenv_umask: _unset_
```

#### Example usage

```YAML
pve_sd_virtualenv_umask: '0022'
```



## Dependencies

None.
